Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/1_namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/1_namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/1_namelist_cfg	(revision 9531)
@@ -180,10 +180,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
@@ -200,5 +200,5 @@
 /
 !-----------------------------------------------------------------------
-&namtra_adv_mle !   mixed layer eddy parametrisation (Fox-Kemper)       (default: OFF)
+&namtra_mle    !   mixed layer eddy parametrisation (Fox-Kemper)        (default: OFF)
 !-----------------------------------------------------------------------
    ln_mle      = .true.   ! (T) use the Mixed Layer Eddy (MLE) parameterisation
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/2_namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/2_namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/2_namelist_cfg	(revision 9531)
@@ -180,10 +180,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
@@ -200,5 +200,5 @@
 /
 !-----------------------------------------------------------------------
-&namtra_adv_mle !   mixed layer eddy parametrisation (Fox-Kemper)       (default: OFF)
+&namtra_mle    !   mixed layer eddy parametrisation (Fox-Kemper)        (default: OFF)
 !-----------------------------------------------------------------------
    ln_mle      = .true.   ! (T) use the Mixed Layer Eddy (MLE) parameterisation
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/namelist_cfg	(revision 9531)
@@ -216,10 +216,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
@@ -237,5 +237,5 @@
 /
 !-----------------------------------------------------------------------
-&namtra_adv_mle !   mixed layer eddy parametrisation (Fox-Kemper)       (default: OFF)
+&namtra_mle    !   mixed layer eddy parametrisation (Fox-Kemper)        (default: OFF)
 !-----------------------------------------------------------------------
    ln_mle      = .true.   ! (T) use the Mixed Layer Eddy (MLE) parameterisation
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 9531)
@@ -235,10 +235,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 9531)
@@ -116,10 +116,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 9531)
@@ -117,10 +117,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 9531)
@@ -305,10 +305,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
@@ -338,5 +338,5 @@
 /
 !-----------------------------------------------------------------------
-&namtra_adv_mle !   mixed layer eddy parametrisation (Fox-Kemper)       (default: OFF)
+&namtra_mle    !   mixed layer eddy parametrisation (Fox-Kemper)        (default: OFF)
 !-----------------------------------------------------------------------
    ln_mle      = .true.   ! (T) use the Mixed Layer Eddy (MLE) parameterisation
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/EXP00/namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/CANAL/EXP00/namelist_cfg	(revision 9531)
@@ -120,10 +120,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/EXP00/namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/EXP00/namelist_cfg	(revision 9531)
@@ -165,10 +165,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/EXP00/namelist_cfg	(revision 9528)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/VORTEX/EXP00/namelist_cfg	(revision 9531)
@@ -121,10 +121,10 @@
 !!                        Tracer (T-S) namelists                      !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: OFF)
-!!   namtra_eiv       eddy induced velocity param.                      (default: OFF)
-!!   namtra_dmp       T & S newtonian damping                           (default: OFF)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
@@ -160,5 +160,4 @@
 &namtra_ldf    !   lateral diffusion scheme for tracers                 (default: NO selection)
 !-----------------------------------------------------------------------
-  !                       !  Operator type:
    ln_traldf_OFF   =  .true.  !  No explicit diffusion
    ln_traldf_lap   =  .false.  !    laplacian operator