Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/domain_def_nemo.xml
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/domain_def_nemo.xml	(revision 9541)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/domain_def_nemo.xml	(revision 9542)
@@ -5,23 +5,8 @@
 	 <!--   My zoom: example of hand defined zoom   -->
 
-         <domain id="moorT"   ibegin="39" jbegin="82" ni="1"  nj="1" />
-
-         <domain id="sec01T"  ibegin="33"  jbegin="62" ni="28" nj="1" />
-         <domain id="sec02T"  ibegin="34" jbegin="68" ni="27" nj="1" />
-         <domain id="sec03T"  ibegin="29"  jbegin="75" ni="18" nj="1" />
-         <domain id="sec04T"  ibegin="29"  jbegin="80" ni="16" nj="1" />
-         <domain id="sec05T"  ibegin="25"  jbegin="88" ni="12" nj="1" />
-         <domain id="sec06T"  ibegin="25"  jbegin="91" ni="7" nj="1" />
-         <domain id="sec07T"  ibegin="25"  jbegin="92" ni="3" nj="1" />
-         <domain id="sec08T"  ibegin="57" jbegin="77" ni="4" nj="1" />
-         <domain id="sec09T"  ibegin="61" jbegin="62" ni="1"  nj="15" />
-
-         <domain id="sec00ST" ibegin="2"   jbegin="2"   ni="115" nj="1"   />
-         <domain id="sec00NT" ibegin="2"   jbegin="104" ni="115" nj="1"   />
-         <domain id="sec00WT" ibegin="2"   jbegin="2"   ni="1"   nj="103" />
-         <domain id="sec00ET" ibegin="116" jbegin="2"   ni="1"   nj="103" />
+         <domain id="moorT"   ibegin="1" jbegin="1" ni="1"  nj="1" />
 
 	 <domain id="1point" domain_ref="grid_T" >
-           <zoom_domain id="1point" ibegin="139" jbegin="119" ni="1" nj="1" />
+           <zoom_domain id="1point" ibegin="1" jbegin="1" ni="1" nj="1" />
 	 </domain>
          <!--   Eq section -->
@@ -180,20 +165,4 @@
       <domain_group id="grid_U">
          <domain id="grid_U" long_name="grid U"/>
-	 <!--   My zoom: example of hand defined zoom   -->
-         <domain id="moorU"   ibegin="39" jbegin="82" ni="1"  nj="1" />
-         <domain id="sec01U"  ibegin="33"  jbegin="62" ni="28" nj="1" />
-         <domain id="sec02U"  ibegin="34" jbegin="68" ni="27" nj="1" />
-         <domain id="sec03U"  ibegin="29"  jbegin="75" ni="18" nj="1" />
-         <domain id="sec04U"  ibegin="29"  jbegin="80" ni="16" nj="1" />
-         <domain id="sec05U"  ibegin="25"  jbegin="88" ni="12" nj="1" />
-         <domain id="sec06U"  ibegin="25"  jbegin="91" ni="7" nj="1" />
-         <domain id="sec07U"  ibegin="25"  jbegin="92" ni="3" nj="1" />
-         <domain id="sec08U"  ibegin="57" jbegin="77" ni="4" nj="1" />
-         <domain id="sec09U"  ibegin="61" jbegin="62" ni="1"  nj="15" />
-
-         <domain id="sec00SU" ibegin="2"   jbegin="2"   ni="115" nj="1"   />
-         <domain id="sec00NU" ibegin="2"   jbegin="104" ni="115" nj="1"   />
-         <domain id="sec00WU" ibegin="2"   jbegin="2"   ni="1"   nj="103" />
-         <domain id="sec00EU" ibegin="116" jbegin="2"   ni="1"   nj="103" />
          <!--   Eq section   -->
          <domain id="EqU" ibegin="1" jbegin="0000" ni="0000" nj="1" />
@@ -204,19 +173,5 @@
   	 <domain id="grid_V" long_name="grid V"/>
  	 <!--   My zoom: example of hand defined zoom   -->
-         <domain id="moorV"   ibegin="39" jbegin="82" ni="1"  nj="1" />
-         <domain id="sec01V"  ibegin="33"  jbegin="62" ni="28" nj="1" />
-         <domain id="sec02V"  ibegin="34" jbegin="68" ni="27" nj="1" />
-         <domain id="sec03V"  ibegin="29"  jbegin="75" ni="18" nj="1" />
-         <domain id="sec04V"  ibegin="29"  jbegin="80" ni="16" nj="1" />
-         <domain id="sec05V"  ibegin="25"  jbegin="88" ni="12" nj="1" />
-         <domain id="sec06V"  ibegin="25"  jbegin="91" ni="7" nj="1" />
-         <domain id="sec07V"  ibegin="25"  jbegin="92" ni="3" nj="1" />
-         <domain id="sec08V"  ibegin="57" jbegin="77" ni="4" nj="1" />
-         <domain id="sec09V"  ibegin="61" jbegin="62" ni="1"  nj="15" />
-
-         <domain id="sec00SV" ibegin="2"   jbegin="2"   ni="115" nj="1"   />
-         <domain id="sec00NV" ibegin="2"   jbegin="104" ni="115" nj="1"   />
-         <domain id="sec00WV" ibegin="2"   jbegin="2"   ni="1"   nj="103" />
-         <domain id="sec00EV" ibegin="116" jbegin="2"   ni="1"   nj="103" />
+         <domain id="moorV"   ibegin="1" jbegin="1" ni="1"  nj="1" />
       </domain_group>
 
@@ -224,19 +179,5 @@
          <domain id="grid_W" long_name="grid W"/>
 	 <!--   My zoom: example of hand defined zoom   -->
-         <domain id="moorW"   ibegin="39" jbegin="82" ni="1"  nj="1" />
-         <domain id="sec01W"  ibegin="33"  jbegin="62" ni="28" nj="1" />
-         <domain id="sec02W"  ibegin="34" jbegin="68" ni="27" nj="1" />
-         <domain id="sec03W"  ibegin="29"  jbegin="75" ni="18" nj="1" />
-         <domain id="sec04W"  ibegin="29"  jbegin="80" ni="16" nj="1" />
-         <domain id="sec05W"  ibegin="25"  jbegin="88" ni="12" nj="1" />
-         <domain id="sec06W"  ibegin="25"  jbegin="91" ni="7" nj="1" />
-         <domain id="sec07W"  ibegin="25"  jbegin="92" ni="3" nj="1" />
-         <domain id="sec08W"  ibegin="57" jbegin="77" ni="4" nj="1" />
-         <domain id="sec09W"  ibegin="61" jbegin="62" ni="1"  nj="15" />
-
-         <domain id="sec00SW" ibegin="2"   jbegin="2"   ni="115" nj="1"   />
-         <domain id="sec00NW" ibegin="2"   jbegin="104" ni="115" nj="1"   />
-         <domain id="sec00WW" ibegin="2"   jbegin="2"   ni="1"   nj="103" />
-         <domain id="sec00EW" ibegin="116" jbegin="2"   ni="1"   nj="103" />
+         <domain id="moorW"   ibegin="1" jbegin="1" ni="1"  nj="1" />
          <!--   Eq section   -->
          <domain id="EqW" ibegin="1" jbegin="0000" ni="0000" nj="1" />