Index: /branches/2017/dev_merge_2017/NEMOGCM/SETTE/input_SPITZ12.cfg
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/SETTE/input_SPITZ12.cfg	(revision 9553)
+++ /branches/2017/dev_merge_2017/NEMOGCM/SETTE/input_SPITZ12.cfg	(revision 9553)
@@ -0,0 +1,1 @@
+SPITZ12_v4.0.tar SPITZ12_v4.0
Index: /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette.sh	(revision 9552)
+++ /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette.sh	(revision 9553)
@@ -141,6 +141,7 @@
 # AGRIF             :  7 & 8  test AGRIF in a double zoom configuration (AGRIF_NORDIC)
 #                               and check that key_agrif without zoom = no key_agrif
-
-for config in 1 2 3 4 5 6 7 8 
+# SPITZ12           :  9      regional configuration including sea-ice and tides (Spitzbergen)
+
+for config in 1 2 3 4 5 6 7 8 9 
 do
 
@@ -1165,3 +1166,119 @@
 fi
 
+
+# -------
+# SPITZ12
+# -------
+if [ ${config} -eq 9 ] ;  then
+## Restartability tests
+    export TEST_NAME="LONG"
+    cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n SPITZ12_ST -r SPITZ12 -j 8 del_key ${DEL_KEYS}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"S12_LONG\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg nn_stock 50
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SPITZ12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    
+    cd ${SETTE_DIR}
+    export TEST_NAME="SHORT"
+    . ./prepare_exe_dir.sh
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"S12_SHORT\"
+    set_namelist namelist_cfg nn_it000 51
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg nn_stock 50
+    set_namelist namelist_cfg ln_rstart .true.
+    set_namelist namelist_cfg nn_rstctl 2
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_cfg cn_ocerst_in \"S12_LONG_00000050_restart\"
+    set_namelist namelist_ice_cfg cn_icerst_in \"S12_LONG_00000050_restart_ice\"
+    for (( i=1; i<=$NPROC; i++)) ; do
+        L_NPROC=$(( $i - 1 ))
+        L_NPROC=`printf "%04d\n" ${L_NPROC}`
+        ln -sf ../LONG/S12_LONG_00000050_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/S12_LONG_00000050_restart_ice_${L_NPROC}.nc .
+    done
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SPITZ12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+## Reproducibility tests
+    export TEST_NAME="REPRO_4_8"
+    cd ${CONFIG_DIR0}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"S12_48\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SPITZ12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="REPRO_8_4"
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"S12_84\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SPITZ12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+fi
+
+
 done
Index: /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_rpt.sh
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_rpt.sh	(revision 9552)
+++ /branches/2017/dev_merge_2017/NEMOGCM/SETTE/sette_rpt.sh	(revision 9553)
@@ -425,5 +425,5 @@
  echo ""
  echo "   !----restart----!   "
- for restart_test in WGYRE_PISCES_ST WORCA2_LIM3_PISCES_ST WORCA2_OFF_PISCES_ST WAMM12_ST WORCA2_SAS_LIM3_ST WAGRIF_NORDIC_ST WISOMIP_ST WOVERFLOW_ST WLOCK_EXCHANGE_ST WVORTEX_ST WWAD_ST WSAS_BIPER_ST 
+ for restart_test in WGYRE_PISCES_ST WORCA2_LIM3_PISCES_ST WORCA2_OFF_PISCES_ST WAMM12_ST WORCA2_SAS_LIM3_ST WAGRIF_NORDIC_ST WSPITZ12_ST WISOMIP_ST WOVERFLOW_ST WLOCK_EXCHANGE_ST WVORTEX_ST WWAD_ST WSAS_BIPER_ST 
  do
    resttest $NEMO_VALID $restart_test $pass
@@ -433,5 +433,5 @@
  echo ""
  echo "   !----repro----!   "
- for repro_test in WGYRE_PISCES_ST WORCA2_LIM3_PISCES_ST WORCA2_OFF_PISCES_ST WAMM12_ST WORCA2_SAS_LIM3_ST WORCA2_LIM3_OBS_ST WAGRIF_NORDIC_ST WISOMIP_ST
+ for repro_test in WGYRE_PISCES_ST WORCA2_LIM3_PISCES_ST WORCA2_OFF_PISCES_ST WAMM12_ST WORCA2_SAS_LIM3_ST WORCA2_LIM3_OBS_ST WAGRIF_NORDIC_ST WSPITZ12_ST WISOMIP_ST
  do
    reprotest $NEMO_VALID $repro_test $pass