Index: /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/file_def.xml
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/file_def.xml	(revision 9561)
+++ /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/file_def.xml	(revision 9562)
@@ -12,37 +12,34 @@
       <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
       <file_group id="2h" output_freq="2h"  output_level="10" enabled=".TRUE."/> <!-- 2h files -->
-      <file_group id="3h" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->     
+      <file_group id="3h" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->          
       <file_group id="4h" output_freq="4h"  output_level="10" enabled=".TRUE."/> <!-- 4h files -->
       <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->
-     
-      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE."/> <!-- 1d files -->
-      <file_group id="3d" output_freq="3d"  output_level="10" enabled=".TRUE."/> <!-- 3d files -->    
-      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->  
+      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE.">  <!-- 1d files -->  
  
-	<file id="file1" name_suffix="_grid_T" description="ocean T grid variables" >
-	  <field field_ref="toce"         name="votemper"  />
-	  <field field_ref="soce"         name="vosaline"  />
-	  <field field_ref="sst"          name="sosstsst"  />
-	  <field field_ref="sss"          name="sosaline"  />
-	  <field field_ref="ssh"          name="sossheig"  />
-	  <field field_ref="empmr"        name="sowaflup"  />
-	  <field field_ref="qsr"          name="soshfldo"  />
+    <file id="file1" name_suffix="_grid_T" description="ocean T grid variables" >
+      <field field_ref="toce"         name="votemper"  />
+      <field field_ref="soce"         name="vosaline"  />
+      <field field_ref="sst"          name="sosstsst"  />
+      <field field_ref="sss"          name="sosaline"  />
+      <field field_ref="ssh"          name="sossheig"  />
+      <field field_ref="empmr"        name="sowaflup"  />
+      <field field_ref="qsr"          name="soshfldo"  />
       <field field_ref="saltflx"      name="sosfldow"  />
-	  <field field_ref="qt"           name="sohefldo"  />
-	  <field field_ref="mldr10_1"     name="somxl010"  />
-	  <field field_ref="mldkz5"       name="somixhgt"  />
+      <field field_ref="qt"           name="sohefldo"  />
+      <field field_ref="mldr10_1"     name="somxl010"  />
+      <field field_ref="mldkz5"       name="somixhgt"  />
     </file>
-	
-	<file id="file2" name_suffix="_grid_U" description="ocean U grid variables" >
+    
+    <file id="file2" name_suffix="_grid_U" description="ocean U grid variables" >
           <field field_ref="uoce"         name="vozocrtx"  />
           <field field_ref="utau"         name="sozotaux"  />
     </file>
-	
-	<file id="file3" name_suffix="_grid_V" description="ocean V grid variables" >
+    
+    <file id="file3" name_suffix="_grid_V" description="ocean V grid variables" >
           <field field_ref="voce"         name="vomecrty"  /> 
           <field field_ref="vtau"         name="sometauy"  /> 
     </file>
-	
-	<file id="file4" name_suffix="_grid_W" description="ocean W grid variables" >
+    
+    <file id="file4" name_suffix="_grid_W" description="ocean W grid variables" >
           <field field_ref="woce"         name="vovecrtz" />
           <field field_ref="avt"          name="votkeavt" />
@@ -51,4 +48,6 @@
 
       </file_group>
+      <file_group id="3d" output_freq="3d"  output_level="10" enabled=".TRUE."/> <!-- 3d files -->    
+      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE."/> <!-- 5d files -->
       
       <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE."/> <!-- real monthly files -->
Index: /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/iodef.xml
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/iodef.xml	(revision 9561)
+++ /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/iodef.xml	(revision 9562)
@@ -88,5 +88,5 @@
 -->
 	  <variable id="info_level"                type="int">0</variable>
-	  <variable id="using_server"              type="bool">false</variable>
+	  <variable id="using_server"              type="bool">true</variable>
 	  <variable id="using_oasis"               type="bool">false</variable>
 	  <variable id="oasis_codes_id"            type="string" >oceanx</variable>
Index: /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 9561)
+++ /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 9562)
@@ -16,10 +16,10 @@
 !-----------------------------------------------------------------------
    cp_cfg      =  "gyre"                 !  name of the configuration
-   jp_cfg      =       1                 !  resolution of the configuration
-   jpidta      =      32                 !  1st lateral dimension ( >= jpi ) = 30*jp_cfg+2
-   jpjdta      =      22                 !  2nd    "         "    ( >= jpj ) = 20*jp_cfg+2 
+   jp_cfg      =    10                 !  resolution of the configuration
+   jpidta      =   302                 !  1st lateral dimension ( >= jpi ) = 30*jp_cfg+2
+   jpjdta      =   202                 !  2nd    "         "    ( >= jpj ) = 20*jp_cfg+2 
    jpkdta      =      31                 !  number of levels      ( >= jpk )
-   jpiglo      =      32                 !  1st dimension of global domain --> i  = jpidta
-   jpjglo      =      22                 !  2nd    -                  -    --> j  = jpjdta
+   jpiglo      =   302                 !  1st dimension of global domain --> i  = jpidta
+   jpjglo      =   202                 !  2nd    -                  -    --> j  = jpjdta
    jpizoom     =       1                 !  left bottom (i,j) indices of the zoom
    jpjzoom     =       1                 !  in data domain indices
@@ -40,5 +40,5 @@
 !-----------------------------------------------------------------------
    nn_bathy    =    0      !  compute (=0) or read (=1) the bathymetry file
-   rn_rdt      = 7200.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdt      = 60.     !  time step for the dynamics (and tracer if nn_acc=0)
 !   nn_baro     =   60      !  number of barotropic time step            ("key_dynspg_ts")
    rn_rdtmin   = 7200.           !  minimum time step on tracers (used if nn_acc=1)
@@ -192,4 +192,5 @@
 !-----------------------------------------------------------------------
    nn_eos      =   0       !  type of equation of state and Brunt-Vaisala frequency
+   ln_useCT    = .false.  ! use of Conservative Temp. ==> surface CT converted in Pot. Temp. in sbcssm
 /
 !-----------------------------------------------------------------------
@@ -283,4 +284,5 @@
 &namctl        !   Control prints & Benchmark
 !-----------------------------------------------------------------------
+   nn_bench    =    0      !  Bench mode (1/0): CAUTION use zero except for bench
 /
 !-----------------------------------------------------------------------
Index: /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 9561)
+++ /branches/UKMO/dev_r5518_GO6_package_moci_xios2/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 9562)
@@ -180,18 +180,19 @@
 
 #- do we need oasis libraries?
-if [ "$2" != "nocpp" ] 
-then
-    use_oasis=$( sed -e "s/#.*$//" ${COMPIL_DIR}/$2 | grep -c key_oasis3 )
-else
-    use_oasis=0
-fi
-for liboa in psmile.MPI1 mct mpeu scrip mpp_io
-do
-    have_liboa=$( sed -e "s/#.*$//" ${COMPIL_DIR}/$1 | grep -c "\-l${liboa}" )
-    if [[ ( $use_oasis -eq 0 ) && ( $have_liboa -ge 1 ) ]]
-    then 
-	sed -e "s/-l${liboa}//g" ${COMPIL_DIR}/$1 > ${COMPIL_DIR}/tmp$$
-	mv -f ${COMPIL_DIR}/tmp$$ ${COMPIL_DIR}/$1
-    fi
-done
-
+# comment this out so that we can link against XIOS which is built with oasis3-mct, even if we are not using oasis at this time.
+# if [ "$2" != "nocpp" ] 
+# then
+#     use_oasis=$( sed -e "s/#.*$//" ${COMPIL_DIR}/$2 | grep -c key_oasis3 )
+# else
+#     use_oasis=0
+# fi
+# for liboa in psmile.MPI1 mct mpeu scrip mpp_io
+# do
+#     have_liboa=$( sed -e "s/#.*$//" ${COMPIL_DIR}/$1 | grep -c "\-l${liboa}" )
+#     if [[ ( $use_oasis -eq 0 ) && ( $have_liboa -ge 1 ) ]]
+#     then 
+# 	sed -e "s/-l${liboa}//g" ${COMPIL_DIR}/$1 > ${COMPIL_DIR}/tmp$$
+# 	mv -f ${COMPIL_DIR}/tmp$$ ${COMPIL_DIR}/$1
+#     fi
+# done
+# 